Class Index | File Index

## Classes

- _global_
- jQuery
- jQuery.rdf
- jQuery.rdf.blank
- jQuery.rdf.databank
- jQuery.rdf.literal
- jQuery.rdf.pattern
- jQuery.rdf.resource
- jQuery.rdf.rule
- jQuery.rdf.ruleset
- jQuery.rdf.triple
- jQuery.typedValue
- jQuery.uri

# Class jQuery

Defined in: jquery.uri.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| jQuery() rdfQuery is a jQuery plugin.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | jQuery.createCurie(uri, options) Creates a CURIE string from a URI string.
<static> | jQuery.curie(curie, uri, options) Creates a jQuery.uri object by parsing a CURIE.
<static> | jQuery.safeCurie(safeCurie, options) Creates a jQuery.uri object by parsing a safe CURIE string (a CURIE contained within square brackets).

Class Detail
jQuery()
rdfQuery is a jQuery plugin. The only fields and methods listed here are those that come as part of the rdfQuery library.
Method Detail
<static> {jQuery.uri} jQuery.createCurie(uri, options)
Creates a CURIE string from a URI string.
Defined in: jquery.curie.js.

Parameters:
{String} uri
  The URI string to be converted to a CURIE.
{Object} options Optional
  CURIE parsing options
{string} options.reservedNamespace Optional, Default: 'http://www.w3.org/1999/xhtml/vocab#'
  If the input URI starts with this value, the generated CURIE will have no namespace prefix and will start with a colon character (:), unless the local part of the CURIE is one of the reserved names specified by the reservedNames option (see below), in which case the generated CURIE will have no namespace prefix and will not start with a colon character.
{string} options.defaultNamespace Optional
  If the input URI starts with this value, the generated CURIE will have no namespace prefix and will not start with a colon.
{Object} options.namespaces Optional
  A map of namespace bindings used to map CURIE prefixes to URIs.
{string[]} options.reserved Optional, Default: ['alternate', 'appendix', 'bookmark', 'cite', 'chapter', 'contents', 'copyright', 'first', 'glossary', 'help', 'icon', 'index', 'last', 'license', 'meta', 'next', 'p3pv1', 'prev', 'role', 'section', 'stylesheet', 'subsection', 'start', 'top', 'up']
  A list of local names that will always be mapped to the URI specified by reservedNamespace.
{string} options.charcase Optional, Default: 'lower'
  Specifies the case normalisation done to the CURIE. Acceptable values are:
  lower
    Normalise the CURIE to lower case.
  upper
    Normalise the CURIE to upper case.
  preserve
    Preserve the original case of the CURIE. Note that this might not be possible if the CURIE has been taken from an HTML attribute value because of the case conversions performed automatically by browsers. For this reason, it's a good idea to avoid mixed-case CURIEs within RDFa.

Returns:
  {jQuery.uri} A new jQuery.uri object representing the full absolute URI specified by the CURIE.

<static> {jQuery.uri} jQuery.curie(curie, uri, options)
Creates a jQuery.uri object by parsing a CURIE.
Defined in: jquery.curie.js.

Parameters:
{String} curie
  The CURIE to be parsed
{String} uri
  The URI string to be converted to a CURIE.
{Object} options Optional
  CURIE parsing options
{string} options.reservedNamespace Optional, Default: 'http://www.w3.org/1999/xhtml/vocab#'
  The namespace to apply to a CURIE that has no prefix and either starts with a colon or is in the list of reserved local names
{string} options.defaultNamespace Optional
  The namespace to apply to a CURIE with no prefix which is not mapped to the reserved namespace by the rules given above.
{Object} options.namespaces Optional
  A map of namespace bindings used to map CURIE prefixes to URIs.
{string[]} options.reserved Optional, Default: ['alternate', 'appendix', 'bookmark', 'cite', 'chapter', 'contents', 'copyright', 'first', 'glossary', 'help', 'icon', 'index', 'last', 'license', 'meta', 'next', 'p3pv1', 'prev', 'role', 'section', 'stylesheet', 'subsection', 'start', 'top', 'up']
  A list of local names that will always be mapped to the URI specified by reservedNamespace.
{string} options.charcase Optional, Default: 'lower'
  Specifies whether the curie's case is altered before it's interpreted. Acceptable values are:
  lower
    Force the CURIE string to lower case.
  upper
    Force the CURIE string to upper case.
  preserve
    Preserve the original case of the CURIE. Note that this might not be possible if the CURIE has been taken from an HTML attribute value because of the case conversions performed automatically by browsers. For this reason, it's a good idea to avoid mixed-case CURIEs within RDFa.

Returns:
  {jQuery.uri} A new jQuery.uri object representing the full absolute URI specified by the CURIE.

<static> {jQuery.uri} jQuery.safeCurie(safeCurie, options)
Creates a jQuery.uri object by parsing a safe CURIE string (a CURIE contained within square brackets). If the input safeCurie string does not start with '[' and end with ']', the entire string content will be interpreted as a URI string.
Defined in: jquery.curie.js.

Parameters:
{String} safeCurie
  The safe CURIE string to be parsed.
{Object} options Optional
  CURIE parsing options
{string} options.reservedNamespace Optional, Default: 'http://www.w3.org/1999/xhtml/vocab#'
  The namespace to apply to a CURIE that has no prefix and either starts with a colon or is in the list of reserved local names
{string} options.defaultNamespace Optional
  The namespace to apply to a CURIE with no prefix which is not mapped to the reserved namespace by the rules given above.
{Object} options.namespaces Optional
  A map of namespace bindings used to map CURIE prefixes to URIs.
{string[]} options.reserved Optional, Default: ['alternate', 'appendix', 'bookmark', 'cite', 'chapter', 'contents', 'copyright', 'first', 'glossary', 'help', 'icon', 'index', 'last', 'license', 'meta', 'next', 'p3pv1', 'prev', 'role', 'section', 'stylesheet', 'subsection', 'start', 'top', 'up']
  A list of local names that will always be mapped to the URI specified by reservedNamespace.
{string} options.charcase Optional, Default: 'lower'
  Specifies whether the curie's case is altered before it's interpreted. Acceptable values are:
  lower
    Force the CURIE string to lower case.
  upper
    Force the CURIE string to upper case.
  preserve
    Preserve the original case of the CURIE. Note that this might not be possible if the CURIE has been taken from an HTML attribute value because of the case conversions performed automatically by browsers. For this reason, it's a good idea to avoid mixed-case CURIEs within RDFa.

Returns:
  {jQuery.uri} A new jQuery.uri object representing the full absolute URI specified by the CURIE.

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Feb 04 2011 16:40:10 GMT+0100 (MEZ)